using GxPress.Common.Page;

namespace GxPress.Request.App.Group
{
    /// <summary>
    /// 查询小组
    /// </summary>
    public class GroupSearchRequest : PageParameter
    {
        /// <summary>
        /// 小组文件夹
        /// </summary>
        public int GroupFolderId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 搜索
        /// </summary>
        public string Key { get; set; }
        /// <summary>
        ///是否加入联系人
        /// </summary>
        /// <value></value>
        public bool IsContacts { get; set; }
        /// <summary>
        /// 是否过滤空文件夹
        /// </summary>
        /// <value></value>
        public bool IsFiltrationBlank { get; set; }
    }
}
